using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.Enties.DbModels
{
    public class MaterialBinding
    {
        [SugarColumn(IsPrimaryKey = true, Length = 50)]
        public string TaskID { get; set; }

        public int CarrierID { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialID { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialName { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialBarcode { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialType { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialNumber { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialLevel { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialWeight { get; set; }

        [SugarColumn(IsNullable = true)]
        public string BatchNumber { get; set; }


        [SugarColumn(IsNullable = true)]
        public string MaterialSpecifications { get; set; }

        [SugarColumn(IsNullable = true)]
        public string Operator { get; set; }

        [SugarColumn(IsNullable = true)]
        public string ModifyTime { get; set; }



        [SugarColumn(IsNullable = true)]
        public string TaskBook { get; set; }

        [SugarColumn(IsNullable = true)]
        public string StartWareHouse { get; set; }

        [SugarColumn(IsNullable = true)]
        public string StartLocation { get; set; }


        [SugarColumn(IsNullable = true)]
        public string EndWareHouse { get; set; }

        [SugarColumn(IsNullable = true)]
        public string EndLocation { get; set; }


        public DateTime CreateTime { get; set; }
        public DateTime StartTime { get; set; }
        public DateTime PickTime { get; set; }
        public DateTime PlaceTime { get; set; }


        [SugarColumn(IsNullable = true, Length = int.MaxValue)]
        public string JsonInfo { get; set; }
    }
}
